Profile picture not showing in forum posts when remote avatar is on

Bug #1378543 reported by Son Nguyen on 2014-10-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen
1.10
High
Son Nguyen
1.9
High
Son Nguyen

Bug Description

Version: master (1.10), 1.9
Platform, browser: any

When the 'Display remote avatar' is enabled, the profile picture of a post's author is not displayed if the author use the 'Standard or external avatar' as his/her profile picture

Son Nguyen (ngson2000) on 2014-10-07
Changed in mahara:
importance: Undecided → High
assignee: nobody → Son Nguyen (ngson2000)
status: New → In Progress

Reviewed: https://reviews.mahara.org/3760
Committed: http://gitorious.org/mahara/mahara/commit/d21b9e4a4867a4e1b395ddfeba4848936ffe52eb
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit d21b9e4a4867a4e1b395ddfeba4848936ffe52eb
Author: Son Nguyen <email address hidden>
Date: Wed Oct 8 15:43:13 2014 +1300

Fix the default image url passed to gavatar. Bug 1378543

This url must not include a querystring
(see https://en.gravatar.com/site/implement/images/)

- Return the no user photo url if the remote avatar is not found
- Try to use profile_icon_url as much as possible

Change-Id: Id18ee4469b1bd15013445f8f4dc4a582dee659e8
Signed-off-by: Son Nguyen <email address hidden>

Robert Lyon (robertl-9) on 2014-10-09
Changed in mahara:
milestone: none → 1.11.0
Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/3787

Reviewed: https://reviews.mahara.org/3786
Committed: http://gitorious.org/mahara/mahara/commit/a0cff5467801e15ae77f94963d92a3b5e31f0e55
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit a0cff5467801e15ae77f94963d92a3b5e31f0e55
Author: Son Nguyen <email address hidden>
Date: Wed Oct 8 15:43:13 2014 +1300

Fix the default image url passed to gavatar. Bug 1378543

This url must not include a querystring
(see https://en.gravatar.com/site/implement/images/)

- Return the no user photo url if the remote avatar is not found
- Try to use profile_icon_url as much as possible

Change-Id: Id18ee4469b1bd15013445f8f4dc4a582dee659e8
Signed-off-by: Son Nguyen <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3787
Committed: http://gitorious.org/mahara/mahara/commit/84b59fe5f983197eaa3b3a66d717b2cf0a04c602
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit 84b59fe5f983197eaa3b3a66d717b2cf0a04c602
Author: Son Nguyen <email address hidden>
Date: Wed Oct 8 15:43:13 2014 +1300

Fix the default image url passed to gavatar. Bug 1378543

This url must not include a querystring
(see https://en.gravatar.com/site/implement/images/)

- Return the no user photo url if the remote avatar is not found
- Try to use profile_icon_url as much as possible

Change-Id: Id18ee4469b1bd15013445f8f4dc4a582dee659e8
Signed-off-by: Son Nguyen <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-20
Changed in mahara:
milestone: 1.10.0 → none
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
Aaron Wells (u-aaronw) on 2014-10-28
tags: added: gravatar
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers